Skip to main content
POST
/
api
/
v1
/
registration
/
invite
Invite user to tenant
curl --request POST \
  --url https://api.example.com/api/v1/registration/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roles": "extractor-user",
  "url": "https://app.extractor.dev.extractor.live/invite",
  "tenantId": 123,
  "organisationId": 123,
  "email": "user@example.com"
}
'
{
  "email": "<string>",
  "roles": [
    "<string>"
  ],
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "tenantId": 123,
  "organisationId": 123,
  "expiredAt": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
roles
string[]
required

Roles for invited user

Minimum array length: 1
Example:

"extractor-user"

url
string
required

Invitation url, that will be added to invitation email

Minimum string length: 1
Pattern: ^https?.*
Example:

"https://app.extractor.dev.extractor.live/invite"

tenantId
integer<int64>

ID of the tenant

organisationId
integer<int64>

ID of the organisation

email
string

Email for which this Invite was generated

Example:

"user@example.com"

Response

200 - application/json

OK

email
string
required

Email for which this Invite was generated

roles
string[]
required

Roles for invited user

Minimum array length: 1
id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

tenantId
integer<int64>

ID of the tenant

organisationId
integer<int64>

ID of the organisation

expiredAt
integer<int64>

Time when this invite will be expired